<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:import href="bdf://this/xslt/_import_statthesaurus.xsl"/>
    
    <xsl:output method="html" encoding="UTF-8" indent="no"/>

    <xsl:template match="/">
        <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html&gt;&#10;</xsl:text>
        <html>
            <head>
                <title>STAT</title>
                <style type="text/css">
                    <xsl:text>&#10;</xsl:text>
                    <xsl:value-of select="document('bdf://this/xml-pack/css/statthesaurus.css')/xml-pack" disable-output-escaping="yes"/><xsl:value-of select="document('bdf://this/xml-pack/custom/fiche.css')/xml-pack" disable-output-escaping="yes"/>
                </style>
                <xsl:apply-templates select="." mode="MODE_CUSTOMHEAD"/>
            </head>
            <body>
                <xsl:apply-templates select="extraction/extraitthesaurus"/>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="extraitthesaurus">
        <h1><xsl:apply-templates select="." mode="MODE_TITLE"/></h1>
        <ul class="MotcleUl">
            <xsl:apply-templates select="motcle"/>
        </ul>
    </xsl:template>

    <xsl:template match="motcle">
        <li>
            <p><xsl:apply-templates select="." mode="MODE_LABEL"/></p>  
            <xsl:if test="count(extraitcorpus) &gt; 0">
                <ul class="CorpusUl">
                    <xsl:apply-templates select="extraitcorpus"/>
                </ul>
            </xsl:if>
            <xsl:if test="count(motcle) &gt; 0">
                <ul class="MotcleUl">
                    <xsl:apply-templates select="motcle"/>
                </ul>
            </xsl:if>
        </li>
    </xsl:template>

    <xsl:template match="extraitcorpus">
        <li>
            <p>
                <xsl:apply-templates select="." mode="MODE_TITLE"/> [<xsl:value-of select="count(fiche)"/>]</p>
            <ul class="FicheUl">
                <xsl:apply-templates select="fiche"/>
            </ul>
        </li>
    </xsl:template>

    <xsl:template match="fiche">
        <li><p><a>
        <xsl:attribute name="href">
            <xsl:call-template name="TEMPLATE_FICHEURL">
                <xsl:with-param name="PARAM_CORPUS" select="@corpus"/>
                <xsl:with-param name="PARAM_ID" select="@id"/>
            </xsl:call-template>
        </xsl:attribute>
        <xsl:apply-templates select="." mode="MODE_TITLE"/>
        </a></p></li>
    </xsl:template>

</xsl:stylesheet>